Bug 726434 - Coverity: Resource Leaks (non JDBC leaks)
Coverity: Resource Leaks (non JDBC leaks)
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Core Server (Show other bugs)
4.1
All All
medium Severity medium (vote)
: ---
: ---
Assigned To: Robert Buck
Mike Foley
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-07-28 11:06 EDT by Mike Foley
Modified: 2012-02-07 14:30 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 729947 (view as bug list)
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mike Foley 2011-07-28 11:06:26 EDT
Description of problem:  The RHQ Team at the 7/28/2011 Coverity meeting decided to address this category of issue:  Resource Leaks (non-JDBC leaks)


http://coverity.lab.bos.redhat.com:8080/defects/index.htm?projectId=10030&view=AAAAAAAAJxo_

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Robert Buck 2011-08-09 12:01:45 EDT
commit e2f2f54d036091eeda96f18151c9fdc82a3ed728
Author: Robert Buck <rbuck@redhat.com>
Date:   2011-08-09 11:50:19 -0400
[BZ 726434] Fix io stream resource leak; also fixed a javadoc issue that caused code-red.
Comment 2 Robert Buck 2011-08-09 14:49:27 EDT
commit e2f2f54d036091eeda96f18151c9fdc82a3ed728
Author: Robert Buck <rbuck@redhat.com>
Date:   2011-08-09 11:50:19 -0400
[BZ 726434] Fix io stream resource leak; also fixed a javadoc issue that caused
code-red.
Coverty #: 13275: RESOURCE_LEAK
Comment 3 Robert Buck 2011-08-09 17:35:43 EDT
commit 7877a3e5be5f8f0dfa657587a884b52e70ea1181
Author: Robert Buck <rbuck@redhat.com>
Date:   2011-08-09 17:33:24 -0400
[BZ 726435][coverity 13283] Fix Coverity identified RESOURCE_LEAK; close some IO streams.
Coverity #: 13283: RESOURCE_LEAK
Comment 4 Robert Buck 2011-08-09 18:35:18 EDT
commit 5cad7eabcfad901a4b1fc4673d8fa59ce5ad5de4
Author: Robert Buck <rbuck@redhat.com>
Date:   2011-08-09 18:34:37 -0400
[BZ 726435][coverity 13112, 13113, 13276, 13277, 13041, 13025, 13005, 13012] Fix Coverity identified RESOURCE_LEAK; close some IO streams.
Comment 5 Robert Buck 2011-08-10 07:34:56 EDT
commit 1eea642da40862bc5f0e9839542836cf7f5e8d8f
Author: Robert Buck <rbuck@redhat.com>
Date:   2011-08-10 07:32:28 -0400
[BZ 726435][coverity 13231, 13284, 13288, 13343, 13344, 13361, 13417, 13424, 13504, 13521, 13527, 13542, 14054] Fix Coverity identified RESOURCE_LEAK; close some IO streams.
Comment 6 Robert Buck 2011-08-10 08:30:29 EDT
commit f286cfe6f1b4f87516942545c6dc8d8031b12f9e
Author: Robert Buck <rbuck@redhat.com>
Date:   2011-08-10 08:23:20 -0400
[BZ 726435][coverity 13171] Fix Coverity identified REVERSE_INULL. Fix unnecessary boxing of '0' to Integer object returns.
Comment 7 Robert Buck 2011-08-10 10:07:40 EDT
commit dc3c6f68af412eb7826e71ae62f43cc3c1d66a06
Author: Robert Buck <rbuck@redhat.com>
Date:   2011-08-10 09:58:31 -0400

[BZ 726435][coverity 13546 12979 12996] Fix Coverity identified FORWARD_NULL. Also, fixed several bitwise-and uses on booleans, switching to logical-and.
FORWARD_NULL: 13546 12979 12996
Comment 8 Robert Buck 2011-08-10 10:07:52 EDT
commit b47ed240bbd1a0bce77649fc77007383f25ca35e
Author: Robert Buck <rbuck@redhat.com>
Date:   2011-08-10 10:07:08 -0400
[BZ 726435] Fixed several bitwise-or uses on booleans, switching to logical-or.
Comment 9 Robert Buck 2011-08-11 09:10:25 EDT
commit 421022285376d56a807a62e45fb0637c76131602
Author: Robert Buck <rbuck@redhat.com>
Date:   2011-08-11 09:06:56 -0400
[BZ 726435][coverity] Fix Coverity identified RESOURCE_LEAK; close some IO streams.
Comment 10 Robert Buck 2011-08-11 12:31:44 EDT
commit 3132cbae82742a6e32adc598c81eaa574c45462b
Author: Robert Buck <rbuck@redhat.com>
Date:   2011-08-11 12:30:07 -0400
[BZ 726435][coverity 13064, 13106, 13115, 13231, 13232, 13283, 13346] Fix Coverity identified RESOURCE_LEAK; close some IO streams.
Comment 11 Mike Foley 2012-02-07 14:30:31 EST
changing status of VERIFIED BZs for JON 2.4.2 and JON 3.0 to CLOSED/CURRENTRELEASE
Comment 12 Mike Foley 2012-02-07 14:30:42 EST
marking VERIFIED BZs to CLOSED/CURRENTRELEASE

Note You need to log in before you can comment on or make changes to this bug.